[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TComponent.ExecuteAction

Standard action execution method.

## Declaration

Source position: classesh.inc line 1736

`public function TComponent.ExecuteAction(`
`Action: TBasicAction`
`):Boolean; dynamic;`

## Description

ExecuteAction checks whether Action handles the current component, and if yes, calls the ExecuteAction method, passing itself as a parameter. The function returns True if the action handles the current component.

## See also

TBasicAction |  | Abstract base class for all Actions.
TBasicAction.ExecuteAction
TBasicAction.HandlesTarget |  | Determines whether Target can be handled by this action
TComponent.UpdateAction |  | Updates the state of an action.

Documentation generated on: Feb 26 2014